<?xml version="1.0" encoding="GB2312"?>
<funcs xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:noNamespaceSchemaLocation="../../Resource/Schemas/Functions.xsd">
    <func id="301190001" name="验证密码" channel="" protocol="json" topic="" autoAudit="1" cmdName="tms.PK_SESSMANAGE.sp_chkpassword">
        <in>
            <field id="i_operator" type="string" name="操作用户"/>
            <field id="i_ipaddr" type="string" name="IP地址"/>
            <field id="i_funcid" type="int" name="功能号"/>
            <field id="i_password" type="string" name="密码"/>
        </in>
        <out>
            <field id="o_errcode" type="int" name="错误代码"/>
            <field id="o_errmsg" type="string" name="错误信息"/>
        </out>
        <col>
        </col>
    </func>
    <func id="301290002" name="修改密码" channel="" protocol="json" topic="" autoAudit="1" cmdName="tms.PK_RIGHTMANAGE.sp_chgpassword">
        <in>
            <field id="i_operator" type="string" name="操作用户"/>
            <field id="i_ipaddr" type="string" name="IP地址"/>
            <field id="i_funcid" type="int" name="功能号"/>
            <field id="i_systemuserid" type="string" name="用户名"/>
            <field id="i_oldpassword" type="string" name="旧密码"/>
            <field id="i_password" type="string" name="新密码"/>
            <field id="i_strength" type="string" name="密码强度"/>
        </in>
        <out>
            <field id="o_errcode" type="int" name="错误代码"/>
            <field id="o_errmsg" type="string" name="错误信息"/>
        </out>
        <col>
        </col>
    </func>
    <func id="301190003" name="查询密码强度" channel="" protocol="json" topic="" autoAudit="1" cmdName="tms.PK_TECH_PUB.SP_SYSPARA">
        <in>
            <field id="i_operator" type="string" name="操作用户"/>
            <field id="i_ipaddr" type="string" name="IP地址"/>
            <field id="i_funcid" type="int" name="功能号"/>
            <field id="i_paraid" type="string" name="参数id"/>
        </in>
        <out>
            <field id="o_paravalue" type="string" name="参数值"/>
            <field id="o_errcode" type="int" name="错误代码"/>
            <field id="o_errmsg" type="string" name="错误信息"/>
        </out>
        <col>
        </col>
    </func>   
    <func id="301190004" name="取公共操作菜单" channel="" protocol="json" topic="" autoAudit="1" cmdName="tms.PK_SESSMANAGE.SP_QRYPUBLICMENU">
        <in>
            <field id="i_operator" type="string" name="操作员"/>
            <field id="i_ipaddr" type="string" name="IP地址"/>
            <field id="i_funcid" type="int" name="功能号"/>
            <field id="i_systemId" type="string" name="系统ID"/>
        </in>
        <out>
            <field id="o_cursor" type="cursor" name="返回游标"/>
            <field id="o_errcode" type="int" name="错误代码"/>
            <field id="o_errmsg" type="string" name="错误信息"/>
        </out>
        <col>
            <field id="MenuId" type="string" name="菜单ID"/>
            <field id="SystemId" type="string" name="系统ID"/>
            <field id="MenuName" type="string" name="菜单名"/>
            <field id="MenuSpell" type="string" name="菜单拼音"/>
            <field id="UpMenuId" type="string" name="上级菜单ID"/>
            <field id="Path" type="string" name="dll文件名"/>
            <field id="Module" type="string" name="对应模块名"/>
            <field id="Image" type="string" name="图标"/>
            <field id="Counter" type="int" name="实例数"/>
        </col>
    </func>
    <func id="301190005" name="取用户操作菜单" channel="" protocol="json" topic="" autoAudit="1" cmdName="tms.PK_SESSMANAGE.SP_QRYMENUTREE">
        <in>
            <field id="i_operator" type="string" name="操作员"/>
            <field id="i_ipaddr" type="string" name="IP地址"/>
            <field id="i_funcid" type="int" name="功能号"/>
            <field id="i_systemid" type="string" name="系统ID"/>
        </in>
        <out>
            <field id="o_cursor" type="cursor" name="返回游标"/>
            <field id="o_errcode" type="int" name="错误代码"/>
            <field id="o_errmsg" type="string" name="错误信息"/>
        </out>
        <col>
            <field id="MenuId" type="string" name="菜单ID"/>
            <field id="SystemId" type="string" name="系统ID"/>
            <field id="MenuName" type="string" name="菜单名"/>
            <field id="MenuSpell" type="string" name="菜单拼音"/>
            <field id="UpMenuId" type="string" name="上级菜单ID"/>
            <field id="Path" type="string" name="dll文件名"/>
            <field id="Module" type="string" name="对应模块名"/>
            <field id="Image" type="string" name="图标"/>
            <field id="Counter" type="string" name="实例数"/>
        </col>
    </func>
    <func id="301190006" name="获取系统数据字典" channel="" protocol="json" topic="" autoAudit="1" cmdName="tms.pk_tech_pub.SP_GET_SYS_DICT">
        <in>
            <field id="i_operator" type="string" name="操作员"/>
            <field id="i_ipaddr" type="string" name="IP地址"/>
            <field id="i_funcid" type="int" name="功能号"/>
        </in>
        <out>
            <field id="o_cursor" type="cursor" name="返回游标"/>
            <field id="o_errcode" type="int" name="错误代码"/>
            <field id="o_errmsg" type="string" name="错误信息"/>
        </out>
        <col>
            <field id="ClassId" type="string" name="字典分类代码"/>
            <field id="DictName" type="string" name="英文名称"/>
            <field id="DictValue" type="string" name="字典值"/>
            <field id="Remark" type="string" name="中文名称"/>
        </col>
    </func>   
    <func id="301191001" name="查询消息待办" channel="" protocol="json" topic="" autoAudit="1" cmdName="tms.PK_HINTS.SP_QRYUSERHINT">
        <in>
            <field id="i_operator" type="string" name="操作用户"/>
            <field id="i_ipaddr" type="string" name="IP地址"/>
            <field id="i_funcid" type="int" name="功能号"/>
            <field id="i_startdate" type="string" name="起始日期"/>
            <field id="i_enddate" type="string" name="截止日期"/>
            <field id="i_starttime" type="string" name="起始时间"/>
            <field id="i_endtime" type="string" name="截止时间"/>
            <field id="i_recvstatus" type="string" name="回执状态"/>
            <field id="i_title" type="string" name="消息名称"/>
            <field id="i_source" type="string" name="发送方"/>
        </in>
        <out>
            <field id="o_cursor" type="cursor" name="返回游标"/>
            <field id="o_errcode" type="int" name="错误代码"/>
            <field id="o_errmsg" type="string" name="错误信息"/>
        </out>
        <col>
            <field id="hintid" type="int" name="序号"/>
            <field id="menuid" type="int" name="菜单"/>
            <field id="recvstatus" type="string" name="回执状态"/>
            <field id="recvdate" type="string" name="回执日期"/>
            <field id="title" type="string" name="消息名称"/>
	    <field id="insertdate" type="string" name="日期"/>
            <field id="inserttime" type="string" name="时间"/>
            <field id="priority" type="string" name="优先级"/>
            <field id="source" type="string" name="发送方"/>
        </col>
    </func>   
</funcs>
